## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate gstreamer-video

Name:           rust-gstreamer-video
Version:        0.21.2
Release:        %autorelease
Summary:        Rust bindings for GStreamer Video library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gstreamer-video
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for GStreamer Video library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_16-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_16" feature of the "%{crate}" crate.

%files       -n %{name}+v1_16-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_18" feature of the "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_20-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_20" feature of the "%{crate}" crate.

%files       -n %{name}+v1_20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_22-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_22-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_22" feature of the "%{crate}" crate.

%files       -n %{name}+v1_22-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that fails on big-endian architectures:
#   https://gitlab.freedesktop.org/gstreamer/gstreamer-rs/-/issues/491
%cargo_test -- -- --exact --skip video_format::tests::sort
%endif

%changelog
* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.21.2-1
- Update to version 0.21.2; Fixes RHBZ#2249242

* Sun Oct 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.21.1-2
- Skip a test that fails on big-endian architectures

* Sat Oct 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.21.1-1
- Update to version 0.21.1; Fixes RHBZ#2242114

* Fri Sep 29 2023 Kalev Lember <klember@redhat.com> - 0.21.0-1
- Update to 0.21.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.7-1
- Update to version 0.20.7; Fixes RHBZ#2219781

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.4-1
- Update to version 0.20.4; Fixes RHBZ#2185179

* Wed Mar 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.3-1
- Update to version 0.20.3; Fixes RHBZ#2137035

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.7-1
- Update to version 0.18.7; Fixes RHBZ#2071680

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.5-1
- Update to version 0.18.5; Fixes RHBZ#2056289

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.4-1
- Update to version 0.18.4; Fixes RHBZ#2041202

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#1990512

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#1977082

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.7-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.16.7-1
- Update to version 0.16.7.
- Fixes RHBZ#1928371

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.6-1
- Update to version 0.16.6.
- Fixes RHBZ#1909535

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-1
- Update to version 0.16.5.
- Remove features with broken dependencies.
- Fixes RHBZ#1900593

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.4-1
- Update to version 0.16.4.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 0.16.3-1
- Update to 0.16.3

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 2020 Josh Stone <jistone@redhat.com> - 0.16.0-1
- Update to 0.16.0

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.15.7-1
- Update to 0.15.7

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 0.15.6-1
- Update to 0.15.6

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.15.5-1
- Update to 0.15.5

* Mon Feb 17 11:30:25 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.3-1
- Update to 0.15.3

* Thu Jan 23 2020 Josh Stone <jistone@redhat.com> - 0.15.1-1
- Update to 0.15.1

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.15.0-1
- Update to 0.15.0

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.14.5-1
- Update to 0.14.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 05 18:52:49 EEST 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Initial package

